|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionSizeGrip Class Reference
[QtGui module]

The QStyleOptionSizeGrip class is used to describe the parameter for drawing a size grip. More...

     #include <QStyleOptionSizeGrip>

Inherits QStyleOptionComplex.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Public Functions

- QStyleOptionSizeGrip ()
- QStyleOptionSizeGrip ( const QStyleOptionSizeGrip & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- Qt::Corner corner

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionSizeGrip class is used to describe the parameter for drawing a size grip.

QStyleOptionButton contains all the information that QStyle functions need to draw QSizeGrip.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption, QStyleOptionComplex, and QSizeGrip.

## Member Type Documentation

### enum QStyleOptionSizeGrip::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionSizeGrip::Type` | `SO_SizeGrip` | The type of style option provided (SO_TabBarBase for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionSizeGrip::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionSizeGrip::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionSizeGrip::QStyleOptionSizeGrip ()

Constructs a QStyleOptionSizeGrip.

### QStyleOptionSizeGrip::QStyleOptionSizeGrip ( const QStyleOptionSizeGrip & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### Qt::Corner QStyleOptionSizeGrip::corner

The corner in which the size grip is located.